package com.artenum.cassandra.plugin;

import java.util.HashMap;

public interface CassandraPlugInProperty {
    
    void put(Object key, Object prop);
    Object get(Object key);
    HashMap getPropertyMap();
    boolean containsKey(Object key);
    Object getSafely(Object key, Object defaultValue);
    double getSafely(Object key, double defaultValue);
    int getSafely(Object key, int defaultValue);
    
    float getSafely(Object key, float defaultValue);
}
